PETSc version 3.15.5
Fix/Edit manual page

# DMPlexPointLocalFieldRead

return read access to a field on a point in local array

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexPointLocalFieldRead(DM dm, PetscInt point,PetscInt field,const PetscScalar *array,void *ptr)

Not Collective

### Input Arguments

| dm | - DM defining topological space
| point | - topological point
| field | - field number
| array | - array to index into

### Output Arguments

| ptr | - address of read reference to point data, type generic so user can place in structure

### See Also

DMGetLocalSection(), PetscSectionGetOffset(), PetscSectionGetDof(), DMPlexGetPointLocal(), DMPlexPointGlobalRef()

### Level

intermediate

### Location

src/dm/impls/plex/plexpoint.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages